### Method

# Pango LayoutLine get_extents

#### Declaration [src]

    void
    pango_layout_line_get_extents (
      PangoLayoutLine* line,
      PangoRectangle* ink_rect,
      PangoRectangle* logical_rect
    )

#### Description [src]

Computes the logical and ink extents of a layout line.

See `pango_font_get_glyph_extents()` for details about the interpretation of the rectangles.

#### Parameters

`ink_rect` | `PangoRectangle`
| Rectangle used to store the extents of the glyph string as drawn.
| The argument will be set by the function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`logical_rect` | `PangoRectangle`
| Rectangle used to store the logical extents of the glyph string.
| The argument will be set by the function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.